Skip to main content
GET
/
api
/
v1
/
partners
/
{id}
cURL
curl --request GET \
  --url https://api.capedigital.co.ke/commercial/api/v1/partners/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "partner_type": "<string>",
  "industry": "<string>",
  "services": "<string>",
  "contacts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "email": "jsmith@example.com",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "phone": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "status": "<string>",
  "metadata": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Path Parameters

id
string<uuid>
required

A UUID string identifying this Partner.

Response

200 - application/json
id
string<uuid>
required
read-only
name
string
required

Partner company name

Maximum string length: 200
partner_type
string
required
read-only
industry
string
required
read-only
services
string
required
read-only
contacts
object[]
required
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
status
string

Current partner status

Maximum string length: 20
metadata
any

Additional flexible metadata